/**
 * Copyright (c) 2019-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { WebGLContext } from '../../mol-gl/webgl/context';
import { RenderTarget } from '../../mol-gl/webgl/render-target';
import Renderer from '../../mol-gl/renderer';
import Scene from '../../mol-gl/scene';
import { Texture } from '../../mol-gl/webgl/texture';
import { Camera, ICamera } from '../camera';
import { Helper } from '../helper/helper';
import { StereoCamera } from '../camera/stereo';
export declare class DrawPass {
    private webgl;
    readonly colorTarget: RenderTarget;
    readonly depthTexture: Texture;
    readonly depthTexturePrimitives: Texture;
    private readonly packedDepth;
    private depthTarget;
    private depthTargetPrimitives;
    private depthTargetVolumes;
    private depthTextureVolumes;
    private depthMerge;
    constructor(webgl: WebGLContext, width: number, height: number);
    setSize(width: number, height: number): void;
    _render(renderer: Renderer, camera: ICamera, scene: Scene, helper: Helper, toDrawingBuffer: boolean, transparentBackground: boolean): void;
    render(renderer: Renderer, camera: Camera | StereoCamera, scene: Scene, helper: Helper, toDrawingBuffer: boolean, transparentBackground: boolean): void;
}
